Name:             python-cinderclient
Version:          1.0.1
Release:          3%{?dist}
Summary:          Python API and CLI for OpenStack cinder

Group:            Development/Languages
License:          ASL 2.0
URL:              http://github.com/openstack/python-cinderclient
Source0:          http://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz
Source1:          cinder.1

# patches_base=1.0.1+1

Patch0001: 0001-Add-ability-to-call-force_delete-from-cinderclient.patch
BuildArch:        noarch
BuildRequires:    python-setuptools

Requires:         python-httplib2
Requires:         python-prettytable
Requires:         python-setuptools
Requires:         python-argparse

%description
This is a client for the OpenStack cinder API. There's a Python API (the
cinderclient module), and a command-line script (cinder). Each implements
100% of the OpenStack cinder API.

%prep
%setup -q

%patch0001 -p1
# TODO: Have the following handle multi line entries
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove bundled egg-info
rm -rf python_cinderclient.egg-info

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_sysconfdir}/profile.d
# TODO: move to /etc/bash_completion.d when bash-comp is in RHEL
install -pm 644 tools/cinder.bash_completion %{buildroot}%{_sysconfdir}/profile.d/cinder.sh

gzip -f %{SOURCE1}
install -p -D -m 644 %{SOURCE1}.gz %{buildroot}%{_mandir}/man1/cinder.1.gz

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/cinder
%{_sysconfdir}/profile.d/cinder.sh
%{_mandir}/man1/cinder.1.gz
%{python_sitelib}/cinderclient
%{python_sitelib}/*.egg-info

%changelog
* Tue Mar 19 2013 Jakub Ruzicka <jruzicka@redhat.com> 1.0.1-3
- Add missing python-argparse dependency. (#923267)

* Wed Mar 06 2013 Eric Harney <eharney@redhat.com> 1.0.1-2
- Add man page for 'cinder'

* Tue Feb 19 2013 Eric Harney <eharney@redhat.com> 1.0.1-1
- Rebase to 1.0.1 client

* Tue Feb 19 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-3
- Add force-delete operation

* Mon Feb 11 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-2
- Add bash-completion support

* Thu Jan 31 2013 Eric Harney <eharney@redhat.com> 1.0.0.20-1
- Update to latest cinder client

* Mon Sep 25 2012 Pádraig Brady <P@draigBrady.com> 0.2.26-1
- Update to latest client to support latest cinder

* Mon Sep  3 2012 Pádraig Brady <P@draigBrady.com> 0.2-2
- Initial release
